Images
curl --request GET \
--url 'https://api.themoviedb.org/3/person/{{person_id}}/images'import requests
url = "https://api.themoviedb.org/3/person/{{person_id}}/images"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/person/{{person_id}}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 63429,
"profiles": [
{
"aspect_ratio": 0.667,
"file_path": "/oTpZ0Ek4qoI8U0tRIViUhgfB05b.jpg",
"height": 750,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 1,
"width": 500
},
{
"aspect_ratio": 0.667,
"file_path": "/7BiDLC1xZ44VbyDLELpaNkmsp3Z.jpg",
"height": 660,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 3,
"width": 440
},
{
"aspect_ratio": 0.667,
"file_path": "/p2km6QNG7S2Epp9ljfbEUyYugV1.jpg",
"height": 960,
"iso_639_1": null,
"vote_average": 2.542,
"vote_count": 4,
"width": 640
},
{
"aspect_ratio": 0.667,
"file_path": "/bKp9Yozr7jir6xThbagixx2pyy7.jpg",
"height": 900,
"iso_639_1": null,
"vote_average": 0.958,
"vote_count": 4,
"width": 600
},
{
"aspect_ratio": 0.667,
"file_path": "/tz0l89HtOfXxRJnBvJ8hfBmQ9yc.jpg",
"height": 600,
"iso_639_1": null,
"vote_average": 0.958,
"vote_count": 4,
"width": 400
},
{
"aspect_ratio": 0.667,
"file_path": "/8hJHvwdhKvOfzW6Vo5S2W6Qy8mE.jpg",
"height": 946,
"iso_639_1": null,
"vote_average": 0.166,
"vote_count": 1,
"width": 631
}
]
}People
Images
Get the profile images that belong to a person.
This method will return the profile images that have been added to a person.
GET
/
3
/
person
/
{person_id}
/
images
Images
Path Parameters
Response
200 - application/json
Images
Example:
63429
Show child attributes
Show child attributes
Example:
[
{
"aspect_ratio": 0.667,
"file_path": "/oTpZ0Ek4qoI8U0tRIViUhgfB05b.jpg",
"height": 750,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 1,
"width": 500
},
{
"aspect_ratio": 0.667,
"file_path": "/7BiDLC1xZ44VbyDLELpaNkmsp3Z.jpg",
"height": 660,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 3,
"width": 440
},
{
"aspect_ratio": 0.667,
"file_path": "/p2km6QNG7S2Epp9ljfbEUyYugV1.jpg",
"height": 960,
"iso_639_1": null,
"vote_average": 2.542,
"vote_count": 4,
"width": 640
},
{
"aspect_ratio": 0.667,
"file_path": "/bKp9Yozr7jir6xThbagixx2pyy7.jpg",
"height": 900,
"iso_639_1": null,
"vote_average": 0.958,
"vote_count": 4,
"width": 600
},
{
"aspect_ratio": 0.667,
"file_path": "/tz0l89HtOfXxRJnBvJ8hfBmQ9yc.jpg",
"height": 600,
"iso_639_1": null,
"vote_average": 0.958,
"vote_count": 4,
"width": 400
},
{
"aspect_ratio": 0.667,
"file_path": "/8hJHvwdhKvOfzW6Vo5S2W6Qy8mE.jpg",
"height": 946,
"iso_639_1": null,
"vote_average": 0.166,
"vote_count": 1,
"width": 631
}
]